Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network12.95.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
12.95.0.0
Broadcast address
12.95.255.255
First usable
12.95.0.1
Last usable
12.95.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Public public
Old class
A (default /8)
As numbers
Hex 0C5F0000 · Integer 207552512 to 207618047
Reverse DNS zone
95.12.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00001100.01011111..00000000.0000000012.95.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network00001100.01011111..00000000.0000000012.95.0.0
Broadcast00001100.01011111..11111111.1111111112.95.255.255
Split into smaller subnets/25

12.95.0.0/16 makes 512 subnets of /25; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
112.95.0.0/2512.95.0.1 to 12.95.0.12612.95.0.127126
212.95.0.128/2512.95.0.129 to 12.95.0.25412.95.0.255126
312.95.1.0/2512.95.1.1 to 12.95.1.12612.95.1.127126
412.95.1.128/2512.95.1.129 to 12.95.1.25412.95.1.255126
512.95.2.0/2512.95.2.1 to 12.95.2.12612.95.2.127126
612.95.2.128/2512.95.2.129 to 12.95.2.25412.95.2.255126
712.95.3.0/2512.95.3.1 to 12.95.3.12612.95.3.127126
812.95.3.128/2512.95.3.129 to 12.95.3.25412.95.3.255126
912.95.4.0/2512.95.4.1 to 12.95.4.12612.95.4.127126
1012.95.4.128/2512.95.4.129 to 12.95.4.25412.95.4.255126
1112.95.5.0/2512.95.5.1 to 12.95.5.12612.95.5.127126
1212.95.5.128/2512.95.5.129 to 12.95.5.25412.95.5.255126
1312.95.6.0/2512.95.6.1 to 12.95.6.12612.95.6.127126
1412.95.6.128/2512.95.6.129 to 12.95.6.25412.95.6.255126
1512.95.7.0/2512.95.7.1 to 12.95.7.12612.95.7.127126
1612.95.7.128/2512.95.7.129 to 12.95.7.25412.95.7.255126
1712.95.8.0/2512.95.8.1 to 12.95.8.12612.95.8.127126
1812.95.8.128/2512.95.8.129 to 12.95.8.25412.95.8.255126
1912.95.9.0/2512.95.9.1 to 12.95.9.12612.95.9.127126
2012.95.9.128/2512.95.9.129 to 12.95.9.25412.95.9.255126
2112.95.10.0/2512.95.10.1 to 12.95.10.12612.95.10.127126
2212.95.10.128/2512.95.10.129 to 12.95.10.25412.95.10.255126
2312.95.11.0/2512.95.11.1 to 12.95.11.12612.95.11.127126
2412.95.11.128/2512.95.11.129 to 12.95.11.25412.95.11.255126
2512.95.12.0/2512.95.12.1 to 12.95.12.12612.95.12.127126
2612.95.12.128/2512.95.12.129 to 12.95.12.25412.95.12.255126
2712.95.13.0/2512.95.13.1 to 12.95.13.12612.95.13.127126
2812.95.13.128/2512.95.13.129 to 12.95.13.25412.95.13.255126
2912.95.14.0/2512.95.14.1 to 12.95.14.12612.95.14.127126
3012.95.14.128/2512.95.14.129 to 12.95.14.25412.95.14.255126
3112.95.15.0/2512.95.15.1 to 12.95.15.12612.95.15.127126
3212.95.15.128/2512.95.15.129 to 12.95.15.25412.95.15.255126
3312.95.16.0/2512.95.16.1 to 12.95.16.12612.95.16.127126
3412.95.16.128/2512.95.16.129 to 12.95.16.25412.95.16.255126
3512.95.17.0/2512.95.17.1 to 12.95.17.12612.95.17.127126
3612.95.17.128/2512.95.17.129 to 12.95.17.25412.95.17.255126
3712.95.18.0/2512.95.18.1 to 12.95.18.12612.95.18.127126
3812.95.18.128/2512.95.18.129 to 12.95.18.25412.95.18.255126
3912.95.19.0/2512.95.19.1 to 12.95.19.12612.95.19.127126
4012.95.19.128/2512.95.19.129 to 12.95.19.25412.95.19.255126
4112.95.20.0/2512.95.20.1 to 12.95.20.12612.95.20.127126
4212.95.20.128/2512.95.20.129 to 12.95.20.25412.95.20.255126
4312.95.21.0/2512.95.21.1 to 12.95.21.12612.95.21.127126
4412.95.21.128/2512.95.21.129 to 12.95.21.25412.95.21.255126
4512.95.22.0/2512.95.22.1 to 12.95.22.12612.95.22.127126
4612.95.22.128/2512.95.22.129 to 12.95.22.25412.95.22.255126
4712.95.23.0/2512.95.23.1 to 12.95.23.12612.95.23.127126
4812.95.23.128/2512.95.23.129 to 12.95.23.25412.95.23.255126
4912.95.24.0/2512.95.24.1 to 12.95.24.12612.95.24.127126
5012.95.24.128/2512.95.24.129 to 12.95.24.25412.95.24.255126
5112.95.25.0/2512.95.25.1 to 12.95.25.12612.95.25.127126
5212.95.25.128/2512.95.25.129 to 12.95.25.25412.95.25.255126
5312.95.26.0/2512.95.26.1 to 12.95.26.12612.95.26.127126
5412.95.26.128/2512.95.26.129 to 12.95.26.25412.95.26.255126
5512.95.27.0/2512.95.27.1 to 12.95.27.12612.95.27.127126
5612.95.27.128/2512.95.27.129 to 12.95.27.25412.95.27.255126
5712.95.28.0/2512.95.28.1 to 12.95.28.12612.95.28.127126
5812.95.28.128/2512.95.28.129 to 12.95.28.25412.95.28.255126
5912.95.29.0/2512.95.29.1 to 12.95.29.12612.95.29.127126
6012.95.29.128/2512.95.29.129 to 12.95.29.25412.95.29.255126
6112.95.30.0/2512.95.30.1 to 12.95.30.12612.95.30.127126
6212.95.30.128/2512.95.30.129 to 12.95.30.25412.95.30.255126
6312.95.31.0/2512.95.31.1 to 12.95.31.12612.95.31.127126
6412.95.31.128/2512.95.31.129 to 12.95.31.25412.95.31.255126
6512.95.32.0/2512.95.32.1 to 12.95.32.12612.95.32.127126
6612.95.32.128/2512.95.32.129 to 12.95.32.25412.95.32.255126
6712.95.33.0/2512.95.33.1 to 12.95.33.12612.95.33.127126
6812.95.33.128/2512.95.33.129 to 12.95.33.25412.95.33.255126
6912.95.34.0/2512.95.34.1 to 12.95.34.12612.95.34.127126
7012.95.34.128/2512.95.34.129 to 12.95.34.25412.95.34.255126
7112.95.35.0/2512.95.35.1 to 12.95.35.12612.95.35.127126
7212.95.35.128/2512.95.35.129 to 12.95.35.25412.95.35.255126
7312.95.36.0/2512.95.36.1 to 12.95.36.12612.95.36.127126
7412.95.36.128/2512.95.36.129 to 12.95.36.25412.95.36.255126
7512.95.37.0/2512.95.37.1 to 12.95.37.12612.95.37.127126
7612.95.37.128/2512.95.37.129 to 12.95.37.25412.95.37.255126
7712.95.38.0/2512.95.38.1 to 12.95.38.12612.95.38.127126
7812.95.38.128/2512.95.38.129 to 12.95.38.25412.95.38.255126
7912.95.39.0/2512.95.39.1 to 12.95.39.12612.95.39.127126
8012.95.39.128/2512.95.39.129 to 12.95.39.25412.95.39.255126
8112.95.40.0/2512.95.40.1 to 12.95.40.12612.95.40.127126
8212.95.40.128/2512.95.40.129 to 12.95.40.25412.95.40.255126
8312.95.41.0/2512.95.41.1 to 12.95.41.12612.95.41.127126
8412.95.41.128/2512.95.41.129 to 12.95.41.25412.95.41.255126
8512.95.42.0/2512.95.42.1 to 12.95.42.12612.95.42.127126
8612.95.42.128/2512.95.42.129 to 12.95.42.25412.95.42.255126
8712.95.43.0/2512.95.43.1 to 12.95.43.12612.95.43.127126
8812.95.43.128/2512.95.43.129 to 12.95.43.25412.95.43.255126
8912.95.44.0/2512.95.44.1 to 12.95.44.12612.95.44.127126
9012.95.44.128/2512.95.44.129 to 12.95.44.25412.95.44.255126
9112.95.45.0/2512.95.45.1 to 12.95.45.12612.95.45.127126
9212.95.45.128/2512.95.45.129 to 12.95.45.25412.95.45.255126
9312.95.46.0/2512.95.46.1 to 12.95.46.12612.95.46.127126
9412.95.46.128/2512.95.46.129 to 12.95.46.25412.95.46.255126
9512.95.47.0/2512.95.47.1 to 12.95.47.12612.95.47.127126
9612.95.47.128/2512.95.47.129 to 12.95.47.25412.95.47.255126
9712.95.48.0/2512.95.48.1 to 12.95.48.12612.95.48.127126
9812.95.48.128/2512.95.48.129 to 12.95.48.25412.95.48.255126
9912.95.49.0/2512.95.49.1 to 12.95.49.12612.95.49.127126
10012.95.49.128/2512.95.49.129 to 12.95.49.25412.95.49.255126
10112.95.50.0/2512.95.50.1 to 12.95.50.12612.95.50.127126
10212.95.50.128/2512.95.50.129 to 12.95.50.25412.95.50.255126
10312.95.51.0/2512.95.51.1 to 12.95.51.12612.95.51.127126
10412.95.51.128/2512.95.51.129 to 12.95.51.25412.95.51.255126
10512.95.52.0/2512.95.52.1 to 12.95.52.12612.95.52.127126
10612.95.52.128/2512.95.52.129 to 12.95.52.25412.95.52.255126
10712.95.53.0/2512.95.53.1 to 12.95.53.12612.95.53.127126
10812.95.53.128/2512.95.53.129 to 12.95.53.25412.95.53.255126
10912.95.54.0/2512.95.54.1 to 12.95.54.12612.95.54.127126
11012.95.54.128/2512.95.54.129 to 12.95.54.25412.95.54.255126
11112.95.55.0/2512.95.55.1 to 12.95.55.12612.95.55.127126
11212.95.55.128/2512.95.55.129 to 12.95.55.25412.95.55.255126
11312.95.56.0/2512.95.56.1 to 12.95.56.12612.95.56.127126
11412.95.56.128/2512.95.56.129 to 12.95.56.25412.95.56.255126
11512.95.57.0/2512.95.57.1 to 12.95.57.12612.95.57.127126
11612.95.57.128/2512.95.57.129 to 12.95.57.25412.95.57.255126
11712.95.58.0/2512.95.58.1 to 12.95.58.12612.95.58.127126
11812.95.58.128/2512.95.58.129 to 12.95.58.25412.95.58.255126
11912.95.59.0/2512.95.59.1 to 12.95.59.12612.95.59.127126
12012.95.59.128/2512.95.59.129 to 12.95.59.25412.95.59.255126
12112.95.60.0/2512.95.60.1 to 12.95.60.12612.95.60.127126
12212.95.60.128/2512.95.60.129 to 12.95.60.25412.95.60.255126
12312.95.61.0/2512.95.61.1 to 12.95.61.12612.95.61.127126
12412.95.61.128/2512.95.61.129 to 12.95.61.25412.95.61.255126
12512.95.62.0/2512.95.62.1 to 12.95.62.12612.95.62.127126
12612.95.62.128/2512.95.62.129 to 12.95.62.25412.95.62.255126
12712.95.63.0/2512.95.63.1 to 12.95.63.12612.95.63.127126
12812.95.63.128/2512.95.63.129 to 12.95.63.25412.95.63.255126
12912.95.64.0/2512.95.64.1 to 12.95.64.12612.95.64.127126
13012.95.64.128/2512.95.64.129 to 12.95.64.25412.95.64.255126
13112.95.65.0/2512.95.65.1 to 12.95.65.12612.95.65.127126
13212.95.65.128/2512.95.65.129 to 12.95.65.25412.95.65.255126
13312.95.66.0/2512.95.66.1 to 12.95.66.12612.95.66.127126
13412.95.66.128/2512.95.66.129 to 12.95.66.25412.95.66.255126
13512.95.67.0/2512.95.67.1 to 12.95.67.12612.95.67.127126
13612.95.67.128/2512.95.67.129 to 12.95.67.25412.95.67.255126
13712.95.68.0/2512.95.68.1 to 12.95.68.12612.95.68.127126
13812.95.68.128/2512.95.68.129 to 12.95.68.25412.95.68.255126
13912.95.69.0/2512.95.69.1 to 12.95.69.12612.95.69.127126
14012.95.69.128/2512.95.69.129 to 12.95.69.25412.95.69.255126
14112.95.70.0/2512.95.70.1 to 12.95.70.12612.95.70.127126
14212.95.70.128/2512.95.70.129 to 12.95.70.25412.95.70.255126
14312.95.71.0/2512.95.71.1 to 12.95.71.12612.95.71.127126
14412.95.71.128/2512.95.71.129 to 12.95.71.25412.95.71.255126
14512.95.72.0/2512.95.72.1 to 12.95.72.12612.95.72.127126
14612.95.72.128/2512.95.72.129 to 12.95.72.25412.95.72.255126
14712.95.73.0/2512.95.73.1 to 12.95.73.12612.95.73.127126
14812.95.73.128/2512.95.73.129 to 12.95.73.25412.95.73.255126
14912.95.74.0/2512.95.74.1 to 12.95.74.12612.95.74.127126
15012.95.74.128/2512.95.74.129 to 12.95.74.25412.95.74.255126
15112.95.75.0/2512.95.75.1 to 12.95.75.12612.95.75.127126
15212.95.75.128/2512.95.75.129 to 12.95.75.25412.95.75.255126
15312.95.76.0/2512.95.76.1 to 12.95.76.12612.95.76.127126
15412.95.76.128/2512.95.76.129 to 12.95.76.25412.95.76.255126
15512.95.77.0/2512.95.77.1 to 12.95.77.12612.95.77.127126
15612.95.77.128/2512.95.77.129 to 12.95.77.25412.95.77.255126
15712.95.78.0/2512.95.78.1 to 12.95.78.12612.95.78.127126
15812.95.78.128/2512.95.78.129 to 12.95.78.25412.95.78.255126
15912.95.79.0/2512.95.79.1 to 12.95.79.12612.95.79.127126
16012.95.79.128/2512.95.79.129 to 12.95.79.25412.95.79.255126
16112.95.80.0/2512.95.80.1 to 12.95.80.12612.95.80.127126
16212.95.80.128/2512.95.80.129 to 12.95.80.25412.95.80.255126
16312.95.81.0/2512.95.81.1 to 12.95.81.12612.95.81.127126
16412.95.81.128/2512.95.81.129 to 12.95.81.25412.95.81.255126
16512.95.82.0/2512.95.82.1 to 12.95.82.12612.95.82.127126
16612.95.82.128/2512.95.82.129 to 12.95.82.25412.95.82.255126
16712.95.83.0/2512.95.83.1 to 12.95.83.12612.95.83.127126
16812.95.83.128/2512.95.83.129 to 12.95.83.25412.95.83.255126
16912.95.84.0/2512.95.84.1 to 12.95.84.12612.95.84.127126
17012.95.84.128/2512.95.84.129 to 12.95.84.25412.95.84.255126
17112.95.85.0/2512.95.85.1 to 12.95.85.12612.95.85.127126
17212.95.85.128/2512.95.85.129 to 12.95.85.25412.95.85.255126
17312.95.86.0/2512.95.86.1 to 12.95.86.12612.95.86.127126
17412.95.86.128/2512.95.86.129 to 12.95.86.25412.95.86.255126
17512.95.87.0/2512.95.87.1 to 12.95.87.12612.95.87.127126
17612.95.87.128/2512.95.87.129 to 12.95.87.25412.95.87.255126
17712.95.88.0/2512.95.88.1 to 12.95.88.12612.95.88.127126
17812.95.88.128/2512.95.88.129 to 12.95.88.25412.95.88.255126
17912.95.89.0/2512.95.89.1 to 12.95.89.12612.95.89.127126
18012.95.89.128/2512.95.89.129 to 12.95.89.25412.95.89.255126
18112.95.90.0/2512.95.90.1 to 12.95.90.12612.95.90.127126
18212.95.90.128/2512.95.90.129 to 12.95.90.25412.95.90.255126
18312.95.91.0/2512.95.91.1 to 12.95.91.12612.95.91.127126
18412.95.91.128/2512.95.91.129 to 12.95.91.25412.95.91.255126
18512.95.92.0/2512.95.92.1 to 12.95.92.12612.95.92.127126
18612.95.92.128/2512.95.92.129 to 12.95.92.25412.95.92.255126
18712.95.93.0/2512.95.93.1 to 12.95.93.12612.95.93.127126
18812.95.93.128/2512.95.93.129 to 12.95.93.25412.95.93.255126
18912.95.94.0/2512.95.94.1 to 12.95.94.12612.95.94.127126
19012.95.94.128/2512.95.94.129 to 12.95.94.25412.95.94.255126
19112.95.95.0/2512.95.95.1 to 12.95.95.12612.95.95.127126
19212.95.95.128/2512.95.95.129 to 12.95.95.25412.95.95.255126
19312.95.96.0/2512.95.96.1 to 12.95.96.12612.95.96.127126
19412.95.96.128/2512.95.96.129 to 12.95.96.25412.95.96.255126
19512.95.97.0/2512.95.97.1 to 12.95.97.12612.95.97.127126
19612.95.97.128/2512.95.97.129 to 12.95.97.25412.95.97.255126
19712.95.98.0/2512.95.98.1 to 12.95.98.12612.95.98.127126
19812.95.98.128/2512.95.98.129 to 12.95.98.25412.95.98.255126
19912.95.99.0/2512.95.99.1 to 12.95.99.12612.95.99.127126
20012.95.99.128/2512.95.99.129 to 12.95.99.25412.95.99.255126
20112.95.100.0/2512.95.100.1 to 12.95.100.12612.95.100.127126
20212.95.100.128/2512.95.100.129 to 12.95.100.25412.95.100.255126
20312.95.101.0/2512.95.101.1 to 12.95.101.12612.95.101.127126
20412.95.101.128/2512.95.101.129 to 12.95.101.25412.95.101.255126
20512.95.102.0/2512.95.102.1 to 12.95.102.12612.95.102.127126
20612.95.102.128/2512.95.102.129 to 12.95.102.25412.95.102.255126
20712.95.103.0/2512.95.103.1 to 12.95.103.12612.95.103.127126
20812.95.103.128/2512.95.103.129 to 12.95.103.25412.95.103.255126
20912.95.104.0/2512.95.104.1 to 12.95.104.12612.95.104.127126
21012.95.104.128/2512.95.104.129 to 12.95.104.25412.95.104.255126
21112.95.105.0/2512.95.105.1 to 12.95.105.12612.95.105.127126
21212.95.105.128/2512.95.105.129 to 12.95.105.25412.95.105.255126
21312.95.106.0/2512.95.106.1 to 12.95.106.12612.95.106.127126
21412.95.106.128/2512.95.106.129 to 12.95.106.25412.95.106.255126
21512.95.107.0/2512.95.107.1 to 12.95.107.12612.95.107.127126
21612.95.107.128/2512.95.107.129 to 12.95.107.25412.95.107.255126
21712.95.108.0/2512.95.108.1 to 12.95.108.12612.95.108.127126
21812.95.108.128/2512.95.108.129 to 12.95.108.25412.95.108.255126
21912.95.109.0/2512.95.109.1 to 12.95.109.12612.95.109.127126
22012.95.109.128/2512.95.109.129 to 12.95.109.25412.95.109.255126
22112.95.110.0/2512.95.110.1 to 12.95.110.12612.95.110.127126
22212.95.110.128/2512.95.110.129 to 12.95.110.25412.95.110.255126
22312.95.111.0/2512.95.111.1 to 12.95.111.12612.95.111.127126
22412.95.111.128/2512.95.111.129 to 12.95.111.25412.95.111.255126
22512.95.112.0/2512.95.112.1 to 12.95.112.12612.95.112.127126
22612.95.112.128/2512.95.112.129 to 12.95.112.25412.95.112.255126
22712.95.113.0/2512.95.113.1 to 12.95.113.12612.95.113.127126
22812.95.113.128/2512.95.113.129 to 12.95.113.25412.95.113.255126
22912.95.114.0/2512.95.114.1 to 12.95.114.12612.95.114.127126
23012.95.114.128/2512.95.114.129 to 12.95.114.25412.95.114.255126
23112.95.115.0/2512.95.115.1 to 12.95.115.12612.95.115.127126
23212.95.115.128/2512.95.115.129 to 12.95.115.25412.95.115.255126
23312.95.116.0/2512.95.116.1 to 12.95.116.12612.95.116.127126
23412.95.116.128/2512.95.116.129 to 12.95.116.25412.95.116.255126
23512.95.117.0/2512.95.117.1 to 12.95.117.12612.95.117.127126
23612.95.117.128/2512.95.117.129 to 12.95.117.25412.95.117.255126
23712.95.118.0/2512.95.118.1 to 12.95.118.12612.95.118.127126
23812.95.118.128/2512.95.118.129 to 12.95.118.25412.95.118.255126
23912.95.119.0/2512.95.119.1 to 12.95.119.12612.95.119.127126
24012.95.119.128/2512.95.119.129 to 12.95.119.25412.95.119.255126
24112.95.120.0/2512.95.120.1 to 12.95.120.12612.95.120.127126
24212.95.120.128/2512.95.120.129 to 12.95.120.25412.95.120.255126
24312.95.121.0/2512.95.121.1 to 12.95.121.12612.95.121.127126
24412.95.121.128/2512.95.121.129 to 12.95.121.25412.95.121.255126
24512.95.122.0/2512.95.122.1 to 12.95.122.12612.95.122.127126
24612.95.122.128/2512.95.122.129 to 12.95.122.25412.95.122.255126
24712.95.123.0/2512.95.123.1 to 12.95.123.12612.95.123.127126
24812.95.123.128/2512.95.123.129 to 12.95.123.25412.95.123.255126
24912.95.124.0/2512.95.124.1 to 12.95.124.12612.95.124.127126
25012.95.124.128/2512.95.124.129 to 12.95.124.25412.95.124.255126
25112.95.125.0/2512.95.125.1 to 12.95.125.12612.95.125.127126
25212.95.125.128/2512.95.125.129 to 12.95.125.25412.95.125.255126
25312.95.126.0/2512.95.126.1 to 12.95.126.12612.95.126.127126
25412.95.126.128/2512.95.126.129 to 12.95.126.25412.95.126.255126
25512.95.127.0/2512.95.127.1 to 12.95.127.12612.95.127.127126
25612.95.127.128/2512.95.127.129 to 12.95.127.25412.95.127.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses